description

# Pointer<T extends NativeType> class Null safety

Represents a pointer into the native C memory. Cannot be extended.

Inheritance
  - Object
  - NativeType
  - Pointer
Available Extensions
  - DoublePointer
  - FloatPointer
  - Int8Pointer
  - Int16Pointer
  - Int32Pointer
  - Int64Pointer
  - IntPtrPointer
  - NativeFunctionPointer
  - PointerPointer
  - StructPointer
  - Uint8Pointer
  - Uint16Pointer
  - Uint32Pointer
  - Uint64Pointer

## Constructors

Pointer.fromAddress(int ptr)
  Construction from raw integer.
  factory

## Properties

address → int
  Access to the raw pointer value. On 32-bit systems, the upper 32-bits of the result are 0.
  read-only
hashCode → int
  The hash code for a Pointer only depends on its address.
  read-only, override
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

cast<U extends NativeType>() → Pointer<U>
  Cast Pointer to a Pointer.
elementAt(int index) → Pointer<T>
  Pointer arithmetic (takes element size into account).
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  Equality for Pointers only depends on their address.
  override

## Static Methods

fromFunction<T extends Function>(Function f, [Object? exceptionalReturn]) → Pointer<NativeFunction<T>>
  Convert Dart function to a C function pointer, automatically marshalling the arguments and return value [...]